Record a manual one-time payment

Records cash, check, ACH, card, voucher, or other payment details against an existing payment.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired
Payment identifier.

Request

This endpoint expects a multipart form.
payment_type_idintegerRequired
payment_amountdoubleRequired>=0.01
payment_datedatetimeRequired
payment_datamap from strings to any or nullOptional
contract_fees_type_idinteger or nullOptional
is_creditboolean or nullOptional
notestring or nullOptional<=255 characters

Response

Manual payment recorded successfully
statusstringOptional
messagestringOptional
dataobjectOptional
PaymentResource for the recorded payment.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error